List memory entries with history
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerTags: ['<string>']})
};
fetch('https://api.supermemory.ai/v4/memories/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v4/memories/list"
payload = { "containerTags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v4/memories/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerTags": [
"<string>"
]
}
'{
"memoryEntries": [
{
"id": "<string>",
"memory": "<string>",
"version": 123,
"isLatest": true,
"isForgotten": true,
"isStatic": true,
"isInference": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"spaceId": "<string>",
"orgId": "<string>",
"sourceCount": 123,
"parentMemoryId": "<string>",
"rootMemoryId": "<string>",
"forgetAfter": "<string>",
"forgetReason": "<string>",
"metadata": {},
"memoryRelations": {},
"temporalContext": {},
"history": [
{
"id": "<string>",
"memory": "<string>",
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"parentMemoryId": "<string>",
"rootMemoryId": "<string>",
"isLatest": true,
"isForgotten": true
}
],
"documentIds": [
"<string>"
]
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}List memory entries with history
List all latest memory entries from specified container tags with their update history and source documents
POST
/
v4
/
memories
/
list
List memory entries with history
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerTags: ['<string>']})
};
fetch('https://api.supermemory.ai/v4/memories/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v4/memories/list"
payload = { "containerTags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v4/memories/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerTags": [
"<string>"
]
}
'{
"memoryEntries": [
{
"id": "<string>",
"memory": "<string>",
"version": 123,
"isLatest": true,
"isForgotten": true,
"isStatic": true,
"isInference": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"spaceId": "<string>",
"orgId": "<string>",
"sourceCount": 123,
"parentMemoryId": "<string>",
"rootMemoryId": "<string>",
"forgetAfter": "<string>",
"forgetReason": "<string>",
"metadata": {},
"memoryRelations": {},
"temporalContext": {},
"history": [
{
"id": "<string>",
"memory": "<string>",
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"parentMemoryId": "<string>",
"rootMemoryId": "<string>",
"isLatest": true,
"isForgotten": true
}
],
"documentIds": [
"<string>"
]
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Query parameters for listing memory entries with history
Container tags to filter memory entries. At least one tag is required.
Minimum array length:
1Maximum string length:
100Pattern:
^[a-zA-Z0-9_:-]+$Optional filters to apply to the search. Can be a JSON string or Query object.
- Option 1
- Option 2
Show child attributes
Show child attributes
Number of items per page
Pattern:
^\d+$Example:
"10"
Sort order
Available options:
asc, desc Example:
"desc"
Page number to fetch
Pattern:
^\d+$Example:
"1"
Field to sort by
Available options:
createdAt, updatedAt Example:
"createdAt"
Response
Successfully retrieved memory entries
Was this page helpful?